Subject: Re: Getting /dev/fd0 to work
From: [email-masked] (Jim Balter)

22 Mar 1997 00:37:10 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (WinNT; I)
Original-To: Vijayan Rajan <[email-masked]>
Original-CC: [email-masked]
Original-Sender: [email-masked]

Vijayan Rajan wrote:
> 
> Hi,
> 
> I'm having difficulty getting something like "dd if=/dev/fd0"
> to work. I get a "No File or directory" error. On the other
> hand, if the floppy contains a DOS filesystem, something lile
> "cat /dev/fd0/README" works. Also, ls works on a:, \\a, and so
> on.
> 
> I'm trying b17.1 on Windows NT 4.0.

I won't go into the gory details of all the bugs in path handling
and the intricacies of quoting, but the following should work for you:

bash:
$ dd if='\\.\a:' of=somewhere

NT cmd:
c:\>dd "if=\\.\a:" of=somewhere

If you get those quotes mixed up, I take no responsibility for the
consequences.

For those looking to access a tape drive this way, forget it.
The path to the tape drive is "\\.\TAPE0".  Since that doesn't
contain a ':', cygwin.dll blithely, buggily, turns it into "//TAPE0".
The solution?  Rewrite path.cc (not to mention the rest of cygwin.dll).
In the meantime, it's easy enough to write a little pgm that calls
CreateFile and then pipe it into dd or cpio or whatever.

This is all for NT, of course.  For those of you using Windows 95:
I feel your pain.

--
<J Q B>
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".